package org.springblade.modules.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.entity.*;
import org.springblade.modules.excel.SyfwExcel;
import org.springblade.modules.mapper.SyfwMapper;
import org.springblade.modules.service.SyfwService;
import org.springblade.modules.vo.FzLsVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class SyfwServiceImpl extends ServiceImpl<SyfwMapper, SyfwEntity> implements SyfwService {
	@Override
	public IPage<SyfwEntity> selectSyfwPage(IPage<SyfwEntity> page, Map<String, Object> params) {
		return baseMapper.selectSyfwPage(page, params);
	}

	@Override
	public SyfwEntity bzdzDetail(Map<String, Object> params) {
		return baseMapper.bzdzDetail(params);
	}

	@Override
	public List<FzLsVO> selectFzLs(Long fzid) {
		return baseMapper.selectFzLs(fzid);
	}

	@Override
	public boolean fzUpdate(SyfwEntity syfwEntity) {
		return baseMapper.fzUpdate(syfwEntity);
	}

	@Override
	public SyfwEntity selectByFzId(Long fzid) {
		return baseMapper.selectByFzId(fzid);
	}

	@Override
	public void fzlsSave(SyfwEntity fz) {
		baseMapper.fzlsSave(fz);
	}

	@Override
	public List<SyfwExcel> exportSyfwInfo(Map<String, Object> syfwInfo) {
		return baseMapper.exportSyfwInfo(syfwInfo);
	}

	@Override
	public void updateFzxz(Long id, Long userId, String zxyy) {
		baseMapper.updateFzxz(id, userId, zxyy);
	}

	@Override
	public FzLsEntity selectFz(Long id) {
		return baseMapper.selectFz(id);
	}

	@Override
	public List<RyCzrkEntity> selectCzrk(Long id) {
		return baseMapper.selectCzrk(id);
	}

	@Override
	public List<RyJwrkEntity> selectJwrk(Long id) {
		return baseMapper.selectJwrk(id);
	}

	@Override
	public List<RyJzrkEntity> selectJzrk(Long id) {
		return baseMapper.selectJzrk(id);
	}

	@Override
	public List<RyWlrkEntity> selectWlrk(Long id) {
		return baseMapper.selectWlrk(id);
	}

	@Override
	public List<RyZzrkEntity> selectZzrk(Long id) {
		return baseMapper.selectZzrk(id);
	}

	@Override
	public void updateCzrkzx(Long id, Long userId, String zxyy) {
		baseMapper.updateCzrkzx(id, userId, zxyy);
	}

	@Override
	public void updateJwrkzx(Long id, Long userId, String zxyy) {
		baseMapper.updateJwrkzx(id, userId, zxyy);
	}

	@Override
	public void updateJzrkzx(Long id, Long userId, String zxyy) {
		baseMapper.updateJzrkzx(id, userId, zxyy);
	}

	@Override
	public void updateWlrkzx(Long id, Long userId, String zxyy) {
		baseMapper.updateWlrkzx(id, userId, zxyy);
	}

	@Override
	public void updateZzrkzx(Long id, Long userId, String zxyy) {
		baseMapper.updateZzrkzx(id, userId, zxyy);
	}

	@Override
	public void updateFwRyzx(Long id, Long userId) {
		baseMapper.updateFwRyzx(id, userId);
	}

	@Override
	public void updateFwzxById(Long id, Long userId, String zxyy) {
		baseMapper.updateFwzxById(id, userId, zxyy);
	}

	@Override
	public FwLsEntity selectFw(Long id) {
		return baseMapper.selectFw(id);
	}

	@Override
	public List<SyfwEntity> getMphxlhByLdphxlh(Map<String, Object> params) {
		return baseMapper.getMphxlhByLdphxlh(params);
	}

	@Override
	public SyfwEntity selectFwInfo(Map<String, Object> params, String dzbm) {
		return baseMapper.selectFwInfo(params, dzbm);
	}
}
